aballier    14/11/28 19:11:11

  Modified:             ChangeLog coq-8.4_p5.ebuild
  Log:
  update deps for ocaml 4.02
  
  Signed-off-by: [email protected]
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 
160F534A)

Revision  Changes    Path
1.84                 sci-mathematics/coq/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/coq/ChangeLog?rev=1.84&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/coq/ChangeLog?rev=1.84&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/coq/ChangeLog?r1=1.83&r2=1.84

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-mathematics/coq/ChangeLog,v
retrieving revision 1.83
retrieving revision 1.84
diff -u -r1.83 -r1.84
--- ChangeLog   3 Nov 2014 01:27:10 -0000       1.83
+++ ChangeLog   28 Nov 2014 19:11:10 -0000      1.84
@@ -1,6 +1,9 @@
 # ChangeLog for sci-mathematics/coq
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/coq/ChangeLog,v 1.83 
2014/11/03 01:27:10 gienah Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/coq/ChangeLog,v 1.84 
2014/11/28 19:11:10 aballier Exp $
+
+  28 Nov 2014; Alexis Ballier <[email protected]> coq-8.4_p5.ebuild:
+  update deps for ocaml 4.02
 
 *coq-8.4_p5 (03 Nov 2014)
 



1.2                  sci-mathematics/coq/coq-8.4_p5.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/coq/coq-8.4_p5.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/coq/coq-8.4_p5.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/coq/coq-8.4_p5.ebuild?r1=1.1&r2=1.2

Index: coq-8.4_p5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-mathematics/coq/coq-8.4_p5.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- coq-8.4_p5.ebuild   3 Nov 2014 01:27:10 -0000       1.1
+++ coq-8.4_p5.ebuild   28 Nov 2014 19:11:10 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/coq/coq-8.4_p5.ebuild,v 1.1 
2014/11/03 01:27:10 gienah Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/coq/coq-8.4_p5.ebuild,v 1.2 
2014/11/28 19:11:10 aballier Exp $
 
 EAPI="5"
 
@@ -21,6 +21,7 @@
 RDEPEND="
        >=dev-lang/ocaml-3.11.2:=[ocamlopt?]
        camlp5? ( >=dev-ml/camlp5-6.02.3:=[ocamlopt?] )
+       !camlp5? ( || ( dev-ml/camlp4:= <dev-lang/ocaml-4.02.0 ) )
        gtk? ( >=dev-ml/lablgtk-2.10.1:=[ocamlopt?] )"
 DEPEND="${RDEPEND}
        doc? (




Reply via email to